/**
 * 项目、系统相关
 * */
export default {
    namespaced: true,
    state: {
        currId: '',
        lastRecordType: "practice",
        courseId: ''
    },
    mutations: {
        SET_CURRICULUM: (state, currId) => {
            state.currId = currId
        },
        SET_RECORD: (state, type) => {
            state.lastRecordType = type;
        },
        SET_COURSE: (state, courseId) => {
            state.courseId = courseId
        }
    },
    actions: {
        setCurriculum({ state, commit }, currId) {
            commit("SET_CURRICULUM", currId);
        },
        setRecord({ state, commit }, active) {
            commit('SET_RECORD', active)
        }
    }
};