const Setting = require("./src/setting.env");

module.exports = {
    lintOnSave: true,
    css: {
        loaderOptions: {
            sass: {
                prependData: `@import "@/styles/var.scss";`
            }
        }
    },
    publicPath: Setting.publicPath,
    outputDir: Setting.outputDir,
    assetsDir: Setting.assetsDir,
    devServer: {
      // client: {
      //   webSocketURL: 'ws://0.0.0.0:8082/notice',
      // },
      port: 8082 // 固定端口
    }
};