import Setting from "@/setting";

const host = Setting.apiBaseURL
const uploadURL = Setting.uploadURL
const host1 = "http://192.168.31.51:9000/";

export default {
    logins: `users/users/user/login`,
    verification: `${host}users/users/user/captcha`,// 验证码图片
    logoDetail: `occupationlab/occupationlab/sys/logo/detail`, //查看系统设置信息
    isClient: `${host}users/users/user/isClient`,
    sendPhoneVerificationCode: `users/users/user/sendPhoneVerificationCode`,
    sendPhoneOrEmailCode: `users/users/userAccount/sendPhoneOrEmailCode`,
    getToken: `users/users/user/getToken`,
    getOtherAccountByPhone: `users/users/user/getOtherAccountByPhone`,
    unbindAccounts: `users/users/user/unbindAccounts`,
    deleteProfile : `users/users/userInfo/deleteProfile`,
    getUserRolesPermissionMenu: `${host}users/users/user-role/getUserRolesPermissionMenu`,

    platformLogList: `nakadai/nakadai/log/platformLogList`,
    logNotification: `nakadai/nakadai/log/logNotification`,
    //实验台
    curriculumDetail: `nakadai/nakadai/curriculum/curriculumDetail`, // 课程详情
    curriculumChapter: `nakadai/nakadai/curriculum/chapter/queryChaptersAndSubsections`,
    queryChaptersAndSubsections: `occupationlab/occupationlab/theoreticalCourseChapter/queryChaptersAndSubsections`,
    curriculumGetSubsection: `nakadai/nakadai/curriculum/subsection/getSubsection`, // 根据小节id获取预览文件地址
    getProjectBySystemId: 'occupationlab/occupationlab/projectManage/getProjectBySystemId',
    getTheMostRecentlyRunProject: 'python/python/getTheMostRecentlyRunProject',
    whetherToRenewTheFee: 'nakadai/nakadai/curriculum/whetherToRenewTheFee',

    // 能力测评
    canExperiment: `occupationlab/occupationlab/evaluationrecord/can_experiment`, // 查询是否能够开启实验
    experimentDetail: `occupationlab/occupationlab/evaluationrecord/detail`, // 成绩详情
    experimentNext: `occupationlab/occupationlab/evaluationrecord/next`, // 下一题
    experimentNotmade: `occupationlab/occupationlab/evaluationrecord/not_made`, // 提交之前查询是否还有未做完的试题
    openExercise: `occupationlab/occupationlab/evaluationrecord/openExercise`, // 查询是否能开启虚拟仿真实验
    openTeaching: `occupationlab/occupationlab/evaluationrecord/openTeaching`, // 查询是否能开启教学实验
    experimentPrevious: `occupationlab/occupationlab/evaluationrecord/previous`, // 上一题
    experimentRemaining: `occupationlab/occupationlab/evaluationrecord/remaining`, // 获取测评剩余时间
    experimentStart: `occupationlab/occupationlab/evaluationrecord/start`, // 开始测评
    experimentSubmit: `occupationlab/occupationlab/evaluationrecord/submit`, // 提交测评

    // 实验记录
    schoolCourse: `nakadai/nakadai/curriculum/schoolCourse`, // 获取学校购买订单后的课程
    experimentOverview: `occupationlab/occupationlab/achievement/experimentOverview`, //实验概览
    queryAssessmentByStudent: `occupationlab/occupationlab/achievement/queryAssessmentByStudent`, //学生端考核成绩
    queryPracticeByStudent: `occupationlab/occupationlab/achievement/queryPracticeByStudent`, //学生端练习成绩
    exportAssessmentByStudent: `${host}occupationlab/occupationlab/achievement/exportAssessmentByStudent`, // 批量导出考核成绩
    exportPracticeByStudent: `${host}occupationlab/occupationlab/achievement/exportPracticeByStudent`, // 批量导出练习成绩
    practiceByStudentDetail: `occupationlab/occupationlab/achievement/practiceByStudentDetail`, // 学生端练习实验情况
    exportPracticeByStudentDetail: `${host}occupationlab/occupationlab/achievement/exportPracticeByStudentDetail`, // 导出学生端练习实验情况
    reportDetail: `occupationlab/occupationlab/achievement/reportDetail`, // 成绩报告详情
    updateReport: `occupationlab/occupationlab/achievement/updateReport`, // 更新成绩报告
    schoolCourseByAchievement: `nakadai/nakadai/curriculum/schoolCourseByAchievement`, // 获取学校购买订单后的课程
    exportLabReport: `occupationlab/occupationlab/achievement/exportLabReport`,
    exportBankExperimentReport: `occupationlab/occupationlab/achievement/exportBankExperimentReport`,
    queryBcJudgmentPointByBcId: 'judgment/judgment/bcJudgmentPoint/queryBcJudgmentPointByBcId',
    editExperimentalData: 'occupationlab/occupationlab/experimentalReport/editExperimentalData',

    // 考核列表
    pageStuAssessment: `occupationlab/occupationlab/assessment/pageStuAssessment`, // 学生端——学生考核列表
    getPythonSysByStuAccountId: `occupationlab/occupationlab/assessment/getPythonSysByStuAccountId`, // 学生端——课程名称
    myClassByStudent: `occupationlab/occupationlab/achievement/myClassByStudent`, // 学生端:我的班级
    getStudentInfoByAccountId: `occupationlab/occupationlab/architecture/getStudentInfoByAccountId`, // 查看学生信息
    enterExam: `occupationlab/occupationlab/assessment/enterExam`, // 学生端——进入考试
    collectPaper: `occupationlab/occupationlab/assessment/collectPaper`, // 自动结束考试

    // 课程学习
    pageConditionalQueryCourseByStudent: `occupationlab/occupationlab/theoreticalCourse/pageConditionalQueryCourseByStudent`,
    listClassification: `occupationlab/occupationlab/theoreticalCourseClassification/pagingQuery`,
    findByIdCourse: `occupationlab/occupationlab/theoreticalCourse/findById`,
    playRecordSave: `occupationlab/occupationlab/playRecord/save`,
    studentLoginPreCourse: `occupationlab/occupationlab/theoreticalCourse/studentLoginPreCourse`,
    getRedisCache: `occupationlab/occupationlab/theoreticalCourse/getRedisCache`,
    getSubsection: `occupationlab/occupationlab/theoreticalCourseSubsection/getSubsection`,

    // 资讯
    queryAllColumns: `occupationlab/occupationlab/information/column/queryAllColumns`, // 栏目树
    queryArticleByCondition: `occupationlab/occupationlab/information/article/queryArticleByCondition`, // 文章列表分页条件查询
    getArticle: `occupationlab/occupationlab/information/article/getArticle`, // 根据id查询文章

    // 线上赛事
    notLoggedInBeforeStudentEvents: `competition/competition/management/notLoggedInBeforeStudentEvents`,
    addCompetitionRegistration: `competition/competition/registration/addCompetitionRegistration`,
    getCompetitionProgress: `competition/competition/progress/getCompetitionProgress`,
    getCompetition: `competition/competition/management/getCompetition`,
    queryAnnouncementByCompetitionId: `competition/competition/announcement/queryAnnouncementByCompetitionId`,
    queryAnnouncementDetails: `competition/competition/announcement/queryAnnouncementDetails`,
    competitionAfterLogin: `competition/competition/management/competitionAfterLogin`,
    cancelRegistration: `competition/competition/registration/cancelRegistration`,
    addCompetitionTeam: `competition/competition/team/addCompetitionTeam`,
    captainOfTransfer: `competition/competition/team/captainOfTransfer`,
    entryInformation: `competition/competition/team/entryInformation`,
    joinCompetitionTeam: `competition/competition/team/joinCompetitionTeam`,
    removeTheLine: `competition/competition/team/removeTheLine`,
    studentAccountApplication: `users/users/register/studentAccountApplication`,
    searchTeam: `competition/competition/team/searchTeam`,
    addAnAdvisor: `competition/competition/teamInstructor/addAnAdvisor`,
    deleteAnAdvisor: `competition/competition/teamInstructor/deleteAnAdvisor`,
    allowedParticipateCompetition: `competition/competition/management/allowedParticipateCompetition`,
    stageSelectParticipants: `competition/competition/teamParticipant/stageSelectParticipants`,
    getCustomerBySchoolId: `nakadai/nakadai/customer/getCustomerBySchoolId`,
    isParticipant: `competition/competition/management/isParticipant`,
    editCompetitionTeam: `competition/competition/team/editCompetitionTeam`,
    promptRemoval: `competition/competition/team/promptRemoval`,
    checkPhoneOrEmailExist: `users/users/userInfo/checkPhoneOrEmailExist`,
    cancelParticipant: `competition/competition/teamParticipant/cancelParticipant`,
    enquireAboutSchoolStudents: `users/users/userAccount/enquireAboutSchoolStudents`,
    frontDeskOverallRanking: `competition/competition/rank/frontDeskOverallRanking`,
    frontOfficeCompetitionRanking: `competition/competition/rank/frontOfficeCompetitionRanking`,
    stageGradeManagementList: `competition/competition/performance/stageGradeManagementList`,
    stageTeamScoreDetails: `competition/competition/rank/stageTeamScoreDetails`,
    getRedisCacheCompetition: `competition/competition/management/getRedisCache`,

    // 阿里云文件/视频管理
    fileDeletion: `${uploadURL}oss/manage/fileDeletion`, // 删除OSS文件
    fileupload: `${uploadURL}oss/manage/fileupload`, // 文件上传
    getPlayAuth: `${uploadURL}oss/manage/getPlayAuth`, // 获取播放凭证

    queryProvince: `nakadai/nakadai/province/queryProvince`, //查询省份
    queryCity: `nakadai/nakadai/city/queryCity`, //查询城市
    querySchool: `nakadai/nakadai/school/querySchool`, //根据学校名称查询学校信息
    queryCourseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //查询课程学科
    queryCourseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //查询专业类
    queryCourseProfessional: `nakadai/nakadai/subject/courseProfessional`, //查询专业

    // 个人中心
    uploadUserAvatars: `${host}users/users/userAccount/updateUserAvatars`, //更改头像
    queryUserInfoDetails: `users/users/userAccount/queryUserInfoDetails`,//个人中心信息展示
    updatePersonCenter: `users/users/userAccount/updatePersonCenter`,//个人中心信息修改
    examinePassword: `users/users/userAccount/examinePassword`,//更换密码
    bindPhoneOrEmail: `users/users/userAccount/bindPhoneOrEmail`,// 绑定手机或邮箱
    unbindMobilePhone: `users/users/userAccount/unbindMobilePhone`,

    joinPractice: `tms/classTech/joinPractice`, //通过邀请码进入实验
    queryArchievement: `tms/classTech/queryExperimentalReport`, //查看教学实验报告
    queryVirtualReport: `tms/classTech/queryVirtualReport`, //查看虚仿实验报告
    checkInvitationCode: `tms/classTech/checkInvitationCode`, //校验是否需要邀请码
    userRecord: `tms/classTech/userRecord`, //查询班级实验列表信息
    modifyReport: `Achievement/modify`,

    academicLeadersRanking: `occupationlab/occupationlab/data/kanban/academicLeadersRanking`,
    getTheMostUsedCoursesInOurSchool: `occupationlab/occupationlab/data/kanban/getTheMostUsedCoursesInOurSchool`,
    examStatistics: `occupationlab/occupationlab/data/kanban/examStatistics`,
    studentGradeDistribution: `occupationlab/occupationlab/data/kanban/studentGradeDistribution`,
    studentAssessSchievement: `occupationlab/occupationlab/data/kanban/studentAssessSchievement`,
    overviewOfOurSchoolData: `occupationlab/occupationlab/data/kanban/overviewOfOurSchoolData`,
    monthlyAverageOnlineTime: `occupationlab/occupationlab/data/kanban/monthlyAverageOnlineTime`,
    courseRankings: `occupationlab/occupationlab/data/kanban/courseRankings`,
    platformLoginStatistics: `users/users/user/platformLoginStatistics`,
};